Bulk Distribution Processing
curl --request POST \
--url https://app.toku.com/api/tokuApi/v1/bulkDistributionProcessing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"items": [
{
"scheduleID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taxMethod": "NO_TAX",
"fmvPerUnit": 0.5,
"taxRate": 37,
"taxCurrencyCode": "USD"
}
]
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/bulkDistributionProcessing"
payload = { "items": [
{
"scheduleID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taxMethod": "NO_TAX",
"fmvPerUnit": 0.5,
"taxRate": 37,
"taxCurrencyCode": "USD"
}
] }
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
items: [
{
scheduleID: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
taxMethod: 'NO_TAX',
fmvPerUnit: 0.5,
taxRate: 37,
taxCurrencyCode: 'USD'
}
]
})
};
fetch('https://app.toku.com/api/tokuApi/v1/bulkDistributionProcessing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"processedCount": 10,
"results": [
{
"scheduleID": "<string>",
"success": true,
"error": "<string>"
}
]
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Distributions
Bulk Distribution Processing
Process multiple schedules with per-schedule tax method (NO_TAX or MANUAL_TAX).
POST
/
bulkDistributionProcessing
Bulk Distribution Processing
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Body
application/json
Show child attributes
Show child attributes
⌘I
